[dist-upgrader] won't dist-upgrade if a sources.list entries is wrong (e.g. unavailable)

Bug #46163 reported by Charles DeWeese on 2006-05-23
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Michael Vogt

Bug Description

I put the command in terminal to do the upgrade. The upgrade starts it however is interrupted. I am told to report the bug.
I do not know if anyone else reported this because I am so new to this site and haven't
located any other bug like this but I am not sure how it would be logged. Here is the info that Ubuntu says to report:

Failed to fetch http://theli.free.fr/packages/breezy/./Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Sources.gz 404 Not Found

description: updated
Charles DeWeese (charraksus) wrote :

Traceback (most recent call last):

  File "/tmp/tmpNGrt_s/dapper", line 28, in ?
    app.run()

  File "/tmp/tmpNGrt_s/DistUpgradeControler.py", line 499, in run
    self.dapperUpgrade()

This is more info on why it won't upgrade.

Thanks for your bugreport.

Could you please attach the files /var/log/dist-upgrade*.log to this bugreport please? This will help me to identify the problem.

It seems to me like the some of your repositories, namely http://theli.free.fr/packages/breezy/ and http://koti.mbnet.fi/ are no longer working. This is most likely why it stops.

Could you please try to disabled them (e.g. via System/Adminsitration/SoftwareProperties) and try again?

If it keeps going I would be interessted in your logfiles.

Thanks,
 Michael

Changed in update-manager:
assignee: nobody → mvo
status: Unconfirmed → Needs Info
Charles DeWeese (charraksus) wrote :

006-05-25 23:12:56,253 ERROR IOError in cache.update(): 'Failed to fetch http://theli.free.fr/packages/breezy/./Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Sources.gz 404 Not Found
'. Retrying (currentRetry: 0)
2006-05-25 23:12:58,213 ERROR IOError in cache.update(): 'Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Packages.gz 404 Not Found
Failed to fetch http://theli.free.fr/packages/breezy/./Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Sources.gz 404 Not Found
'. Retrying (currentRetry: 1)
2006-05-25 23:13:00,228 ERROR IOError in cache.update(): 'Failed to fetch http://theli.free.fr/packages/breezy/./Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Packages.gz 404 Not Found
Failed to fetch http://koti.mbnet.fi/~ots/ubuntu/breezy/Sources.gz 404 Not Found
'. Retrying (currentRetry: 2)
2006-05-25 23:13:04,669 ERROR not handled expection:
Traceback (most recent call last):

  File "/tmp/tmpweTHmA/dapper", line 28, in ?
    app.run()

  File "/tmp/tmpweTHmA/DistUpgradeControler.py", line 499, in run
    self.dapperUpgrade()

  File "/tmp/tmpweTHmA/DistUpgradeControler.py", line 440, in dapperUpgrade
    self.abort()

  File "/tmp/tmpweTHmA/DistUpgradeControler.py", line 421, in abort
    self.sources.restoreBackup(self.sources_backup_ext)

AttributeError: 'DistUpgradeControler' object has no attribute 'sources'

On Fri, 2006-05-26 at 16:33 +0000, Michael Vogt wrote:
> ** Bug 46198 has been marked a duplicate of this bug
> I have copied and pasted the var/log dist-upgrade file info on
the lauchpad site for this bug. I hope it helps.

Sincerely,
Charles DeWeese

In a message dated 5/26/2006 11:25:21 A.M. Eastern Standard Time,
<email address hidden> writes:

Thanks for your bugreport.

Could you please attach the files /var/log/dist-upgrade*.log to this
bugreport please? This will help me to identify the problem.

It seems to me like the some of your repositories, namely
http://theli.free.fr/packages/breezy/ and http://koti.mbnet.fi/ are no
longer working. This is most likely why it stops.

Could you please try to disabled them (e.g. via
System/Adminsitration/SoftwareProperties) and try again?

If it keeps going I would be interessted in your logfiles.

Thanks,
Michael

** Changed in: update-manager (Ubuntu)
Assignee: (unassigned) => Michael Vogt
Status: Unconfirmed => Needs Info

--
[dist-upgrader] Breezy Will Not Upgrade To Dapper On Dell Poweredge 300sc
server
https://launchpad.net/bugs/46163

I disabled those repositories and the download starting going through.
Thanks,

Charles DeWeese

Michael Vogt (mvo) wrote :

Thanks, I can reproduce the problem here.

Changed in update-manager:
status: Needs Info → Confirmed
rickmans (rickmans) wrote :

This is still an issue when upgrading from edgy to feisty.

 We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in update-manager:
status: Confirmed → Invalid
Bill (wmbrown) wrote :

After updating your package information, the essential package 'ubuntu-minimal' could not be located. This may be because you have no official mirrors listed in your software sources, or because of excessive load on the mirror you are using. See /etc/apt/sources.list for the current list of configured software sources.
In the case of an overloaded mirror, you may want to try the upgrade again later.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers